<?php
    require_once "model_conexion.php";
    class Modelo_Tupa extends ConexionDB{
        public function Listar_Tupa(){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_LISTAR_TUPA()";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->execute();
            $resultado = $query->fetchAll(PDO::FETCH_ASSOC);
            foreach($resultado as $resp){
                $arreglo["data"][]=$resp;
            }
            return $arreglo;
            conexionDB::cerrar_conexion();
        }
        public function Registrar_Tupa($nombre,$requisitos){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_REGISTRAR_TUPA(?,?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$nombre); 
            $query->bindParam(2,$requisitos); 
            $query->execute();
            if($row = $query->fetchColumn()){
                return $row;
            }
            conexionDB::cerrar_conexion();
        }
        public function Modificar_Tupa($id_tupa,$nombre,$estatus,$requisitos){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_MODIFICAR_TUPA(?,?,?,?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$id_tupa); 
            $query->bindParam(2,$nombre);
            $query->bindParam(3,$estatus);
            $query->bindParam(4,$requisitos);
            $query->execute();
            if($row = $query->fetchColumn()){
                return $row;
            }
            conexionDB::cerrar_conexion();
        }

        public function Eliminar_Tupa($id){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_ELIMINAR_TUPA(?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$id); 

            $query->execute();
            if($row = $query->fetchColumn()){
                return $row;
            }
            conexionDB::cerrar_conexion();
        }



    }
?>